using NEXUS.Data.Dtos;
using NEXUS.Data.Entities;

namespace NEXUS.Data.IRepositories
{
    public interface IMortalityPM25Repository : IRepository<T_MortalityPM25>
    {
        Task<IEnumerable<string>> QueryGeoId11ByMinPercentileAsync(Year year, int endpointId, float min);
        Task<IEnumerable<string>> QueryGeoId11ByMinValueAsync(Year year, int endpointId, double min);
    }
}
